package org.kde.koala;
import org.kde.qt.*;


/** {@link PartManager} emits these signals */
public interface PartManagerSignals {

/** 
 Emitted when a part has been removed.

*/
	void partRemoved( Part part );
	void destroyed( QObject obj );

/** 
 Emitted when a new part has been added.

*/
	void partAdded( Part part );

/** 
 Emitted when the active part has changed.

*/
	void activePartChanged( Part newPart );
}

